Name:           alpa
Version:        0.3.2
Release:        1.20230407201533195304.pr24.26.g8eb195c%{?dist}
Summary:        Integration tool with Alpa repository

License:        GPLv3
URL:            https://github.com/alpa-team/alpa
Source0:        alpa-0.3.2.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-click
BuildRequires:  python3-pygithub
BuildRequires:  python3-GitPython
BuildRequires:  python3-alpa-conf

Requires:       mock


%description
%{summary}


%prep
%autosetup -n alpa-0.3.2


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%files -n %{name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}


%changelog
* Fri Apr 07 2023 Packit <hello@packit.dev> - 0.3.2-1.20230407201533195304.pr24.26.g8eb195c
- feat: use spefile for sources, filename, location and nvr (Jiri Kyjovsky)
- feat: add alpa repo config + packit file owner and project (Jiri Kyjovsky)
- sync with big alpa-conf rework (Jiri Kyjovsky)
- fix: move packit file contant from alpa-conf here (Jiri Kyjovsky)
- feat: add repo_name and namespace properties (Jiri Kyjovsky)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- fix: remove the need to create for of Alpa repo to work with it (Jiri Kyjovsky)
- fix: show only relevant branches on alpa list (Jiri Kyjovsky)
- feat: add alpa.yaml config file for cli (Jiri Kyjovsky)
- fix: creating PR happens not from fork (Jiri Kyjovsky)
- feat: s/branch/package in git switch (Jiri Kyjovsky)
- feat: delete feature branch when user pushes code to alpa repo (Jiri Kyjovsky)
- feat: try to follow feat branch if exists (Jiri Kyjovsky)
- feat: check for dirty repo when switching (Jiri Kyjovsky)
- fix: source name and downloaded file should matach (Jiri Kyjovsky)
- feat: add pr_exists method (Jiri Kyjovsky)
- fix typo ... (Jiri Kyjovsky)
- deps: mock for dnf OS and pre-commit for python (Jiri Kyjovsky)
- mock: match source name and get correct chroots (Jiri Kyjovsky)
- list commands shadow builtin list (Jiri Kyjovsky)
- add pre-commit to commits (Jiri Kyjovsky)
- fix: show history of package with feature branch (Jiri Kyjovsky)

* Sat Mar 04 2023 Jiri Kyjovsky <j1.kyjovsky@gmail.com>
- Initial package 0.1.0
